*################ SINGLETON SETS USED IN THE PROGRAMME #######################

$onText
*~~~~ Declare SINGLETON SETS

  "A singleton set in GAMS is a special set that has at most one element
(zero elements are allowed as well). Like other sets, singleton sets may
have a domain with several dimensions" (GAMS Help)

  A major advantage of singleton is that they can be used WITHOUT the need
"to be controlled by a controlling index or an indexed operator like
other sets"

  ALL singleton sets in this model are declared as subsets of the sets in
the SAM_gtp (ss AND reg): this ensures full domain checking.

  They are used in this model to
 1.  remove quoted elements from the code - this means that the labels in the
     SAM_gtp do NOT have to be exactly those in the code, although if not the
     assignments to each singleton set MUST be correctly assigned.    

$offtext

*~~~~~~  Declare Singleton Sets ~~~~~~~~~~~~~
SINGLETON SET

*~~ Account Totals
 t_tot(ss)      Account totals

*~~ Factor account

*~~ Factors
 f_k(ff)         Capital factor
 
*~~ Household account
 reg_h(ss)       Regional household
 h_h(ss)         Household account

*~~ Government account
 g_t(ss)        Government account

*~~ Savings Investment account
 i_is(ss)       Savings Investment account
 
*~~ Taxes
 a_tax(ss)      Production tax on activities
 d_tax(ss)      Direct income tax on factors
 v_tax(ss)      Value added tax
 s_tax(ss)      GST
 
*~~ Tariff type
 ad_val(tartype)  Ad valorem of applied tariff
 specif(tartype)  Spicific quanity type of applied tariff
 
*~~ Margins

 d_otm(ss)       Domestic Other trade and transport costs         
 d_wtm(ss)       Domestic Water trade and transport costs        
 d_atm(ss)       Domestic Air trade and transport costs          
 
 vst_o(vvst)     Other trade and transport costs 
 vst_w(vvst)     Water trade and transport costs 
 vst_a(vvst)     Air trade and transport costs   
 
 v_otm(comm)     Exports of OTHER trade and transport services 
 v_wtm(comm)     Exports of WATER trade and transport services 
 v_atm(comm)     Exports of AIR trade and transport services
 
*~~ Stock Changes

 d_stk(ss)         Stock changes
 
*~~ Global clearing account
 r_gild(rr)     Global clearing region
 w_gild(ww)     Glbal trading partner


 ;
 
*~~~~ Assign SINGLETON SETS

*~~~~~ GILD REGION

*~~ Account Totals
 t_tot("tots")      = YES ;
 
*~~ Factors         
 f_k("ff_cap")      = YES ;
 
*~~ Household account
 reg_h("rreghous")  = YES ;
 h_h("hhous")       = YES ;

*~~ Government account
 g_t("ggovt")       = YES ;

*~~ Savings Investment account
 i_is("ssav_inv")   = YES ;
 
*~~ Taxes           
 a_tax("pprodtax")  = YES ;
 d_tax("ddirtax")   = YES ;
 v_tax("vvattax")   = YES ;
 s_tax("ssaltax")   = YES ;
 
*~~ Tariff type
 ad_val("adv")      = YES ;
 specif("spe")      = YES ;                

*~~ Margins

 d_wtm("dd_otp")    = YES ;
 d_otm("dd_wtp")    = YES ;
 d_atm("dd_atp")    = YES ;
                    
 vst_o("vvst_otp")  = YES ;
 vst_w("vvst_wtp")  = YES ;
 vst_a("vvst_atp")  = YES ;

 v_otm("otp")       = YES ;
 v_wtm("wtp")       = YES ;
 v_atm("atp")       = YES ;
 
*~~ Stock Changes

 d_stk("ddstoc")    = YES ;
 
*~~ Global clearing account
 r_gild("rr_gild")  = YES ;
 w_gild("ww_gild")  = YES ;